# Add Bank (CAD)

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "Add Bank (CAD)" },
  ]}
  title="Add Bank (CAD)"
  method="POST"
  url="https://api.gemini.com/v1/payments/addbank/cad"
  description="Adds CAD banking information to your account via API. To verify the bank, you must still send a wire for any amount from the bank account."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/payments/addbank/cad",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/payments/addbank/cad",
        nonce: "<nonce>",
        swiftcode: "ROYCCAT2",
        accountNumber: "0011011100",
        type: "checking",
        name: "My CAD Bank Account",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Fund Manager role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>banks:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="addBankCAD" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="addBankCAD" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="addBankCAD" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Add Bank", href: "/trading/rest-api/fund-management/add-bank" }}
  next={{ label: "List Payment Methods", href: "/trading/rest-api/fund-management/list-payment-methods" }}
/>
